import { EventEmitter } from '../../stencil-public-runtime';
import { OptionValue } from '../../store/zdesk.type';
export declare class ZDropdownInput {
    el: HTMLElement;
    label: string;
    placeholder: string;
    value: string;
    options: OptionValue[];
    disabled: boolean;
    enableSearch: boolean;
    disabledOptions: string[];
    hideOptions: string[];
    showClearButton: boolean;
    valueChange: EventEmitter<string | null>;
    isOpen: boolean;
    searchQuery: string;
    isPositioned: boolean;
    private triggerEl;
    private popperEl;
    private cleanup;
    componentDidLoad(): void;
    componentDidRender(): void;
    disconnectedCallback(): void;
    handleClickOutside: (e: MouseEvent) => void;
    updatePosition(): void;
    watchIsOpen(isOpen: boolean): void;
    toggleDropdown: () => void;
    handleSearch: (e: InputEvent) => void;
    handleSelect: (val: string) => void;
    handleClear: (e: MouseEvent) => void;
    render(): any;
}
